puppetmaster-passenger fails to run

Bug #1093934 reported by John Moser on 2012-12-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet (Ubuntu)
Medium
Unassigned

Bug Description

Upon installing puppetmaster-passenger (and disabling puppetmaster if it's running on 8140), attempting to connect with Puppet garners an error. This happens even from a clean install. It is safe, however, to install puppetmaster and make it work, and then shut down the puppetmaster server and install puppetmaster-passenger--the configuration will transfer.

Utilizing the packages available from the below, the error does not happen. These are of a newer version; however they serve to illustrate the "expected result" case.

http://docs.puppetlabs.com/guides/puppetlabs_package_repositories.html

Instead, the attached output occurs. Notable "cannot load such file -- facter"

John Moser (nigelenki) wrote :
Yolanda Robla (yolanda.robla) wrote :

Thanks for reporting this
Please can you send us the Ubuntu and package versions for that problem?
You can take a look at https://help.ubuntu.com/community/ReportingBugs as a guide

Changed in puppet (Ubuntu):
status: New → Incomplete
John Moser (nigelenki) wrote :

Version: 2.7.18-1ubuntu1

Current in Ubuntu 12.04

Robie Basak (racb) on 2013-01-09
Changed in puppet (Ubuntu):
status: Incomplete → New
Changed in puppet (Ubuntu):
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers